Update 2.0.08 auf 2.0.16

Eine Neuinstallation von phpBB 2.0 wird auf phpBB.de nicht mehr unterstützt.
Siehe auch Entwicklungs-Ende von phpBB 2.0 - Auswirkungen auf phpBB.de
Forumsregeln
phpBB 2.0 hat das Ende seiner Lebenszeit überschritten
phpBB 2.0 wird nicht mehr aktiv unterstützt. Insbesondere werden - auch bei Sicherheitslücken - keine Patches mehr bereitgestellt. Der Einsatz von phpBB 2.0 erfolgt daher auf eigene Gefahr. Wir empfehlen einen Umstieg auf phpBB 3.1, welches aktiv weiterentwickelt wird und für welches regelmäßig Updates zur Verfügung gestellt werden.

Eine Neuinstallation von phpBB 2.0 wird auf phpBB.de nicht mehr unterstützt.
Siehe auch Entwicklungs-Ende von phpBB 2.0 - Auswirkungen auf phpBB.de
Gesperrt
unionerdirk
Mitglied
Beiträge: 333
Registriert: 13.12.2004 08:42
Wohnort: Berlin
Kontaktdaten:

Update 2.0.08 auf 2.0.16

Beitrag von unionerdirk » 04.07.2005 22:40

Ein Board in dem ich registriert bin ist in der Version 2.0.08 Der Admin meint er müsste es neu installieren auf die aktuelle Version wodurch aber alles weg währe. Ist kein Update so möglich das die User und Daten behalten werden?

Christian Benz
Mitglied
Beiträge: 854
Registriert: 25.02.2004 00:41
Wohnort: Regen
Kontaktdaten:

Beitrag von Christian Benz » 04.07.2005 22:53

Hallo,
Der Admin meint er müsste es neu installieren auf die aktuelle Version wodurch aber alles weg währe. Ist kein Update so möglich das die User und Daten behalten werden?
Selbstverständlich kann man ein Update auch so durchführen, dass alle User/Daten erhalten bleiben. Das wäre ja grausig wenn bei jedem einzelnen Update das Forum jedes Mal auf's neue gelöscht würde.

http://www.phpbb.de/doku/phpbb-update.php

Falls keine Mods (-> Modifikationen) im eingebaut sind ist die Sache relativ einfach und schnell erledigt.

Falls Mods eingebaut sind, kann man die Updates ebenfalls in Form von Codechanges - quasi als "Update-Mods" - ausführen.

Bei beiden Varianten bleiben die Daten und User erhalten.

Gruß,
Chris

))HELICOP((
Mitglied
Beiträge: 101
Registriert: 13.07.2004 05:13

Beitrag von ))HELICOP(( » 04.07.2005 23:30

Hi @ all,

also die Codechanges kann ich empfehlen. Ich musste mein Board nach einer Hackerattacke auch von 2.0.8a auf 2.0.16 updaten.

Ich habe mich auch ewig ums Updaten gedrückt, weil mein Board massig Mods enthält.

Wichtig ist, dass Du einen Codechange nach dem anderen durchführst.

Also erst von 2.0.8a auf 2.0.9, dann von 2.0.9 auf 2.0.10, usw.

Und auch wichtig: Nach jedem Codechange die entsprechende update-php-Datei ausführen. (Liegt in der entsprechenden phpBB-Version, die Du auch auf der oben genannten Seite herunterladen kannst, im Verzeichnis "install")

Der ganze Spaß hat bei mir schlappe 4 Stunden gedauert und alle Mods funktionieren nach wie vor prima.

Gerade in Anbetracht der vielen Boardhacks in letzter Zeit solltest Du unbedingt updaten bzw. Dein Kumpel.

MfG

))HELICOP((

Gesperrt

Zurück zu „phpBB 2.0: Installation und Update“